<div class="wide form">

  <?php
  $form = $this->beginWidget('GxActiveForm', array(
    'action' => Yii::app()->createUrl($this->route),
    'method' => 'get',
    ));

  $this->widget('application.extensions.EChosen.EChosen', array(
    'target'    => '.echosen',
    'useJQuery' => true, )
  );
  ?>
  <div class="row">
    <?php echo $form->label($model, 'data_inicial'); ?>
    <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'data_inicial')); ?> até 
    <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'data_final')); ?>
  </div>

  <?php if (count(User::getRevendas()) > 1) {?>
   <div class="row">
     <?php echo $form->label($model, 'INT_IDREVENDA');?>
     <?php echo $form->dropDownList($model, 'INT_IDREVENDA', User::getRevendas(), array('prompt' => Yii::t('app', 'Todas as revendas'), 'class' => 'focus_toggle'));?>
   </div>
   <?php }?>

   <?php if (User::canListUsers()) {?>
     <div class="row">
       <?php echo $form->label($model, 'INT_IDVENDEDOR');?>
       <?php echo $form->dropDownList($model, 'INT_IDVENDEDOR', User::getFuncionariosComercial(), array('prompt' => 'Selecione'));?>
       <?php echo $form->error($model, 'INT_IDVENDEDOR');?>
     </div><!-- row -->
  <?php } else {?>
     <?php echo $form->hiddenField($model, 'INT_IDVENDEDOR', array('type' => "hidden", 'value' => User::getId()));?>
  <?php }?>

   <div class="row">
    <?php echo $form->label($model, 'INT_MOTIVOS');?>
    <?php echo $form->dropDownList($model, 'INT_MOTIVOS', CacheUtil::getComoNosConheceuList(), array('prompt' => Yii::t('app', 'Todos os motivos')));?>
  </div>

  <div class="row buttons">
    <input type="hidden" name="busca" value="1" />
    <?php echo FaHtml::searchButton(); ?>
  </div>

  <?php $this->endWidget();?>

</div><!-- search-form -->
<script>
  $(document).ready(function () {
    jQuery('body').undelegate('#Interessados_INT_IDREVENDA','change').delegate('#Interessados_INT_IDREVENDA','change',function(){
      var revenda = $("#Interessados_INT_IDREVENDA").val();
      var funcionario = $("#Interessados_INT_IDVENDEDOR").val();
      jQuery.ajax({
        type: 'GET',
        url: '/index.php?r=autocomplete/vendedor',
        cache: false,
        data: {revenda: revenda, funcionario: funcionario, selecione: true},
        success: function(html){
          jQuery("#Interessados_INT_IDVENDEDOR").html(html);
          selectField("Interessados_INT_IDVENDEDOR", funcionario);
          $("#Interessados_INT_IDVENDEDOR").trigger('change');
        }
      });
      return false;
    });

    jQuery('body').undelegate('#Interessados_INT_IDVENDEDOR','change').delegate('#Interessados_INT_IDVENDEDOR','change',function(){
      var revenda = $("#Interessados_INT_IDREVENDA").val();
      var funcionario = $("#Interessados_INT_IDVENDEDOR").val();
      var cidade = $("#Interessados_INT_CIDADE").val();
      jQuery.ajax({
        type: 'GET',
        url: '/index.php?r=autocomplete/cidades',
        cache: false,
        data: {revenda: revenda, funcionario: funcionario, selecione: true},
        success: function(html){
          jQuery("#Interessados_INT_CIDADE").html(html);
          selectField("Interessados_INT_CIDADE", cidade);
          $(".echosen").trigger("liszt:updated");
        }
      });
      return false;
    });
  });
</script>